effect_greets_1

EGSPEED=16
EGBLINK=8
	
	halt
	call display_clear

	;show
	
	ld hl,display_buf
	ld de,display_buf1
	ld bc,9
	ldir
	
	ld b,9
	ld hl,display_buf
	ld ix,greets_str+8
	
.sloop1

	push bc
	push hl
	
.sloop2

	push bc
	push hl
	
	ld b,EGSPEED
	halt
	djnz $-1
	
	ld hl,display_buf1
	call display_copy

	pop hl
	
	ld a,(ix)
	ld (hl),a
	
	inc hl
	
	pop bc
	
	djnz .sloop2
	
	ld bc,display_buf^#ffff
	add hl,bc
	ld bc,display_buf1
	add hl,bc
	
	ld a,(ix)
	ld (hl),a
	
	pop hl
	pop bc
	
	dec ix
	
	djnz .sloop1
	
	
	
	;delay and blink
	
	ld b,EGBLINK
	
.blinkloop

	push bc
	
	ld hl,greets_str
	call display_copy
	
	ld bc,60*16*15
	call delay
	
	call display_clear

	ld bc,60*16*15
	call delay
	
	pop bc
	djnz .blinkloop
	

	
	;hide
	
	ld hl,greets_str;display_buf
	ld de,display_buf1
	ld bc,9
	ldir
	
	ld bc,9*256+1
	ld hl,display_buf+8
	ld ix,greets_str+8
	
.hloop1

	push bc
	push hl
	
	inc hl
	ld bc,display_buf^#ffff
	add hl,bc
	ld bc,display_buf1
	add hl,bc
	
	ld (hl),0
	
	pop hl
	pop bc
	push bc
	push hl

	ld (hl),0
	
	ld b,c
	
.hloop2

	push bc
	push hl
		
	ld hl,display_buf1
	call display_copy
	
	pop hl

	ld a,(ix)
	ld (hl),a
	
	inc hl
	
	ld b,EGSPEED
	halt
	djnz $-1
	
	pop bc
	
	djnz .hloop2

	pop hl
	pop bc
	
	dec ix
	dec hl
	inc c
	
	djnz .hloop1
	
	call display_clear
		
	ret
	

	
greets_str

	db DSD,SYM_G,SYM_R,SYM_E,SYM_E,SYM_T,SYM_S,DSD,DSD		;greets
	
	
	
;------------------------------------------------------------------------------
	
effect_greets_2

	xor a
	ld (display_offset),a
	ld (display_dir),a
	
	ld hl,display_buf
	ld de,display_buf1
	ld bc,9
	ldir
	
	ld hl,greets_list
	
.loop

	push hl
	
	ld hl,empty_str
	ld b,256/4
	
.clear

	push bc
	
	ld bc,16*30
	call delay
	
	ld b,6
	call greets_tween
	djnz $-3
	
	pop bc
	
	djnz .clear

	pop hl

	ld b,9
	
.show1

	push bc
	ld b,256/2/9
	
.show2

	push bc
	push hl
	
	ld bc,16*30
	call delay
	
	ld b,2
	call greets_tween
	djnz $-3
	
	call display_copy_offset
	
	pop hl
	pop bc
	
	djnz .show2
	
	call display_roll
	
	pop bc
	
	djnz .show1
		
	call display_roll_invert
	
	push hl
	ld hl,display_buf1
	call display_copy
	pop hl
	
	ld bc,9
	add hl,bc
	ld a,(hl)
	inc a
	jr z,.done
		
	ld bc,60*16*60
	call delay
	ld bc,60*16*50
	call delay
	
	
	jr .loop
	
.done

	ret
	
	
	
greets_roll_1

	push af
	
	ld a,(display_offset)
	inc a
	cp 9
	jr c,$+3
	xor a
	ld (display_offset),a
	
	pop af
	ret
	
	
	
greets_roll_2

	push af
	
	ld a,(display_offset)
	dec a
	jr nc,$+3
	xor a
	ld (display_offset),a
	
	pop af
	ret
	
	
	
greets_tween

	push bc
	push hl
	
	ld ix,greets_add_sub
	ld de,display_buf1
	ld bc,#0900
	
.loop1

	ld a,(de)
	cp (hl)
	
	jr z,.noch
	
	add a,(ix)
	ld (de),a

.noch

	inc hl
	inc de
	inc ix
	
	djnz .loop1

	pop hl
	pop bc
	
	ret
	
		
	
empty_str

	ds 9,0
	
greets_add_sub

	db 1,3,7,15,31,63,127,1,3
	
greets_list

	db SYM_P,SYM_A,SYM_S,SYM_H,SYM_A,0    ,0    ,0    ,0		;pasha
	db SYM_A,SYM_L,SYM_E,SYM_X,SYM_T,SYM_A,SYM_R,SYM_A,SYM_N	;alextaran
	db 0    ,0    ,0    ,0    ,SYM_S,SYM_A,SYM_S,SYM_H,SYM_A	;sasha
	db SYM_A,SYM_L,SYM_E,SYM_X,SYM_S,SYM_E,SYM_R,SYM_O,SYM_V	;alexserov
	db 0    ,0    ,0    ,SYM_S,SYM_E,SYM_R,SYM_G,SYM_E,SYM_Y		;sergey
	db SYM_S|DSH,0,SYM_B,SYM_A,SYM_T,SYM_A,SYM_L,SYM_O,SYM_V	;s.batalov
	db 0    ,0    ,0    ,0    ,0    ,SYM_L,SYM_E,SYM_H,SYM_A	;leha
	db 0    ,0    ,SYM_P,SYM_I,SYM_N,SYM_W,SYM_I,SYM_Z,SYM_Z	;pinwizz
	db 0    ,0    ,0    ,0    ,SYM_T,SYM_U,SYM_F,SYM_T,SYM_Y	;tufty
	db SYM_U,SYM_T,SYM_Z,0    ,0    ,0    ,0    ,0    ,0		;utz
	db SYM_C,SYM_A,SYM_S,SYM_T,SYM_P,SYM_I,SYM_X,SYM_E,SYM_L	;castpixel
	db SYM_C,SYM_H,SYM_R,SYM_V,0    ,0    ,0    ,0    ,0		;chrv
	db 0    ,SYM_S,SYM_H,SYM_U,SYM_R,SYM_A,SYM_N,SYM_3,SYM_3	;shuran33
	db SYM_L,SYM_O,SYM_L,SYM_A,0    ,0    ,0    ,0    ,0 		;lola
	db 0    ,SYM_E,SYM_V,SYM_E,SYM_R,SYM_Y,SYM_O,SYM_N,SYM_E	;everyone
	db 0    ,SYM_A,SYM_N,SYM_D,0    ,SYM_Y,SYM_O,SYM_U,0		;and you	
	db 255

	
	
;------------------------------------------------------------------------------

effect_greets_3


	ld hl,greets_and_you_anim
	ld de,60*16*12
	ld bc,0
	call effect_anim
	
	ret
	
greets_and_you_anim

	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#00,#00,#00,#00,#00,#00,#00,#00
	db #00,#00,#00,#00,#00,#00,#00,#00,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#00,#00,#00,#00,#00,#00,#00,#00
	db #00,#00,#00,#00,#00,#00,#00,#00,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#00,#00,#00,#00,#00,#00,#00,#00
	db #00,#00,#00,#00,#00,#00,#00,#00,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #00,#77,#37,#5E,#00,#6E,#3F,#3E,#00
	db #77,#37,#5E,#16,#00,#26,#6E,#3F,#3E
	db #37,#5E,#16,#10,#00,#04,#26,#6E,#3F
	db #5E,#16,#10,#00,#00,#00,#04,#26,#6E
	db #16,#10,#00,#00,#00,#00,#00,#04,#26
	db #34,#00,#00,#00,#00,#00,#00,#00,#12
	db #10,#00,#00,#00,#00,#00,#00,#00,#04
	db #00,#00,#00,#00,#00,#00,#00,#00,#00

	db #ff